[install]
# Trust dependencies for faster installs
trusted = true

# Use faster resolution strategy
registry = "https://registry.npmjs.org"

[test]
# Configure test environment for BUN
coverage = true
timeout = 300000
# Only run test files, not spec files (spec files are for Playwright)
testMatch = ["**/*.test.ts", "**/*.test.tsx", "**/__tests__/**/*.ts", "**/__tests__/**/*.tsx"]
# Exclude Playwright test directories from bun test
ignore = ["**/*.spec.ts", "**/*.spec.tsx", "**/node_modules/**", "**/dist/**", "**/build/**"]

[resolve]
# Path aliases for monorepo
alias = { "@/*" = "./src/*", "@polartek/*" = "./packages/*/src", "@utils/*" = "./tests/utils/*" }
